{*polozkySupina*}
{snippet polozkyList}
    <script>
        if (document.querySelector('.modal-backdrop')){
            document.querySelector('.modal-backdrop').remove();
        }
        document.body.classList.remove('modal-open');
        document.body.style.removeProperty('overflow');
        document.body.style.removeProperty('padding-right');

        function initDataAjax{$skupinaId}(id) {
            var inputData = '[ajax-input-'+id+']';
            const menuPolozkyInput = document.querySelectorAll(inputData);

            menuPolozkyInput.forEach(function (polozkaInput){
                polozkaInput.addEventListener('change',(even) => {
                    const id = polozkaInput.getAttribute('data-id');
                    const column = polozkaInput.getAttribute('data-name');
                    const value = polozkaInput.value;
                    const data = [];

                    data['id'] = id;
                    data['column'] = column;
                    data['value'] = value;

                    naja.makeRequest('GET', {link saveData!}, { {$control->getParameterId('data')}: data })
                .then((payload) => {  });
                });
            });
        }
    </script>
    <div class="d-flex justify-content-end sticky-top bg-menu-white py-3">
        <button class="btn btn-success" data-bs-toggle="modal" data-bs-target="#newRestMenuPolozkaModal-{$skupinaId}">
            <i class="fa-solid fa-plus me-2"></i>Přidat položku
        </button>
    </div>
    {if !empty($polozky)}
        {foreach $polozky as $polozka}
            <div class="{if $polozka->active}bg-menu-warning{else}bg-menu-danger{/if} d-md-flex justify-content-between align-items-center px-3 py-2">
                <h5 class="fw-bold mb-2 mb-md-0">{$polozka->nazev}</h5>
                <div class="d-flex justify-content-md-end gap-3 bg-menu-white p-2">
                    {if $polozka->active}
                        <a n:href="changeActive! $polozka->id" class="ajax btn btn-success">
                            <i class="fas fa-eye"></i>
                        </a>
                    {else}
                        <a n:href="changeActive! $polozka->id" class="ajax btn btn-danger">
                            <i class="fas fa-eye-slash"></i>
                        </a>
                    {/if}
                    <a n:href="sortUp! $polozka->id" class="ajax btn btn-dark {if $polozka->sort == 1}disabled{/if}">
                        <i class="fas fa-chevron-up"></i>
                    </a>
                    <a n:href="sortDown! $polozka->id" class="ajax btn btn-dark {if $polozka->sort == $count}disabled{/if}">
                        <i class="fas fa-chevron-down"></i>
                    </a>
                    <a n:href="delete! $polozka->id" class="ajax btn btn-danger">
                        <i class="fas fa-minus"></i>
                    </a>
                </div>
            </div>
            <div class="table-responsive">
                <table class="table table-borderless bg-light mb-3">
                    <tbody>
                    <tr>
                        <td colspan="3">
                            <label class="form-label">Název položky</label>
                            <input type="text" class="form-control" ajax-input-{$polozka->id} data-name="nazev" data-id="{$polozka->id}" placeholder="Název" value="{$polozka->nazev}">
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <label class="form-label">Množství / Obsah</label>
                            <input type="text" class="form-control" ajax-input-{$polozka->id} data-name="mnozstvi" data-id="{$polozka->id}" placeholder="Množství / Obsah" value="{$polozka->mnozstvi}">
                        </td>
                        <td>
                            <label class="form-label">Alergeny</label>
                            <input type="text" class="form-control" ajax-input-{$polozka->id} data-name="alergen" data-id="{$polozka->id}" placeholder="Alergeny" value="{$polozka->alergen}">
                        </td>
                        <td>
                            <label class="form-label">Cena</label>
                            <input type="text" class="form-control" ajax-input-{$polozka->id} data-name="cena" data-id="{$polozka->id}" placeholder="Cena" value="{$polozka->cena}">
                        </td>
                    </tr>
                    <tr>
                        <td colspan="3">
                            <label class="form-label">Popis položky</label>
                            <input class="form-control" ajax-input-{$polozka->id} data-name="popis" data-id="{$polozka->id}" placeholder="popis" value="{$polozka->popis}">
                        </td>
                    </tr>
                    </tbody>
                </table>
            </div>
            <script>
                initDataAjax{$skupinaId}({$polozka->id})
            </script>
        {/foreach}
    {else}
        <div>
            <h4>Skupina neobsahuje položky</h4>
        </div>
    {/if}
    {snippetArea formular-wrapper}
        {*modal*}
        <form class="ajax" n:name=novaPolozkaForm>
            <!-- Modal -->
            <div class="modal fade" id="newRestMenuPolozkaModal-{$skupinaId}">
                <div class="modal-dialog">
                    <div class="modal-content">
                        {snippet formular}
                            <div class="modal-header bg-success text-white">
                                <h5 class="modal-title mb-0">Nová položka menu</h5>
                                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                            </div>
                            <div class="modal-body">
                                <label class="form-label">Název</label>
                                <div class="input-group mb-3">
                                    <span class="input-group-text"><i class="fas fa-pen"></i></span>
                                    <input n:name="nazev" class="form-control" placeholder="Název">
                                </div>
                                <div class="mb-3">
                                    <label class="form-label">Alergeny</label>
                                    <input n:name="alergen" class="form-control" placeholder="Alergeny">
                                </div>
                                <div class="mb-3">
                                    <label class="form-label">Množství / Obsah</label>
                                    <input n:name="mnozstvi" class="form-control" placeholder="Množství / Obsah">
                                </div>
                                <div class="mb-3">
                                    <label class="form-label">Cena</label>
                                    <input n:name="cena" class="form-control" placeholder="Cena">
                                </div>
                                <div class="mb-3">
                                    <label class="form-label">Popis</label>
                                    <textarea n:name="popis" class="form-control" placeholder="Popis"></textarea>
                                </div>
                            </div>
                            <div class="modal-footer">
                                <a href="#" class="btn btn-outline-secondary" data-bs-dismiss="modal">Zavřít</a>
                                <button n:name="send" class="btn btn-success send"><i class="fas fa-save me-2"></i>Uložit</button>
                            </div>
                        {/snippet}
                    </div>
                </div>
            </div>
        </form>
    {/snippetArea}
{/snippet}
{snippet scripts}
    <script>
        if (document.querySelector('.modal-backdrop')){
            document.querySelector('.modal-backdrop').remove();
        }
        document.body.classList.remove('modal-open');
        document.body.style.removeProperty('overflow');
        document.body.style.removeProperty('padding-right');
    </script>
{/snippet}